Installation Guide

VIMOS Software Family

Installation Guide

26 May 2006

Thank you for your interest in our Vision Inspection and Optical Measurement System (VIMOS). In this manual you will find out how to install the VIMOS Simulator and VIMOS Editor on PC and VIMOS kernel on camera.

Before going on reading the manual, we kindly ask you to read the following

DISCLAIMER

This documentation is provided for reference purposes only. While efforts were made to verify the completeness and accuracy of the information contained in this documentation, this documentation is provided “as is” without any warranty whatsoever and to the maximum extent permitted, atto-Systems Ltd. and Wolf Systeme AG disclaim all implied warranties, including without limitation the implied warranties of merchantability, non-infringement and fitness for a particular purpose, with respect to the same. Neither atto-Systems Ltd. nor Wolf Systeme AG shall be responsible for any damages, including without limitation, direct, indirect, consequential or incidental damages, arising out of the use of, or otherwise related to, this documentation or any other documentation. Notwithstanding anything to the contrary, nothing contained in this documentation or any other documentation is intended to, nor shall have the effect of, creating any warranties or representations from atto-Systems Ltd., Wolf Systeme AG or any of their suppliers or licensors, or altering the terms and conditions of the applicable license agreement governing the use of this software.

The described software is provided 'as is', without any warranty expressed or implied. No guaranty is given that the software is suitable for any given purpose.

COPYRIGHT

Under the copyright laws, neither the documentation nor the software may be copied, photocopied, reproduced, translated, or reduced to any electronic medium or machine-readable form, in whole or in part, without the prior written consent of atto-Systems Ltd or Wolf Systeme AG, except in the manner described in the documentation or the applicable licensing agreement governing the use of the software. All rights are reserved. Do not reverse-engineer. Do not modify or distribute without all of the documentation.

© Copyright atto-Systems Ltd. and Wolf Systeme AG

Atto-Systems Ltd.

Sofia, Bulgaria

Wolf Systeme AG

Karlsbad, Germany

All rights reserved.

TRADEMARKS

All trademarks and copyrights mentioned within the documentation are respected. They are the property of their respective owners.

Conventions used in this manual

 | INFORMATION. This sign marks section in the manual, which is for information only. You can decide to read or skip this section.
 | ATTENTION. This sign marks section of the manual, which is particularly important for the general understanding of VIMOS. Please, make sure to read this section before proceeding with reading the manual.
 | TIPS & TRICKS. This sign marks a Tips & Tricks section. Here you can find some practical advises on using the system or get a more detailed explanation of some features. Reading this section may help you in solving a particular problem or give you some ideas but is not vital for understanding VIMOS.
 | PREMISE. This sign marks a section, which requires you to do something before proceeding with reading the manual. Usually this is a demo program, you have to run or something similar.
File | Menu item
File > Open | Sub-menu item or dialog control
“1.1 About” | Section reference. If the section is within the current manual no manual name is specified. When the section is within external manual the name of the respective manual is also included.
Ctrl+E | Hot-key combination. The first part of the combination specifies which system key to use. Possible values are: Ctrl, Alt, Shift. The second part specifies the normal key to be used in the combination. The plus sign means that you should press these keys simultaneously.


1. Welcome

VIMOS is a machine-vision system – it uses digital technology to perform visual tasks such as inspection, measurement, quality assurance and control of visually acquired parameters. For more information about VIMOS Software Family and its components refer to “Getting started” manual.

This manual provides detailed instructions on how to install the VIMOS Software Family.

Chapter 2 describes how to install the PC programs on your PC.

Chapter 3 describes how to install camera programs on your camera.

Chapter 4 points out other useful resources, such as documentation map and links to on-line resources.

1.1. Where to get VIMOS?

1.1.1. VIMOS CD

You can contact us and we will be glad to send you a trial version of VIMOS on a CD. This distribution is the most complete as it contains all the necessary programs, documentation and demonstrations.

Please, see section “4. Resources ” to find out how to get in touch.

1.1.2. Download VIMOS

You can download the complete VIMOS Software Family or its individual parts from our web site:

http://www.vimos.com/


2. Installing VIMOS on PC

2.1. Introduction

The sections in this chapter describe how to install VIMOS Simulator and VIMOS Editor on a PC running MS Windows. You don’t need to have a camera to complete it. If you are planning to run the system on a camera, please read chapter 3. If you are planning to use the VIMOS without an intelligent camera or if you would like to test the system and get familiar with its main features, then this is the right place to start.

Before you begin installation, please make sure that your hardware and software environment meets the requirements outlined in section “2.2. System requirements”.

Section “2.3. Installation procedure” will guide you step by step through the installation process. With a few mouse clicks you will have VIMOS set up and running on your PC.

ATTENTION. You can install and use VIMOS Simulator and Editor in Windows 2000/XP only as a user with administrative rights.

Once you have installed VIMOS you are ready to use it. See section “2.4. Getting started” for some quick start hints.

Usually VIMOS Software Family is distributed as 30-days trial version. In section “2.5. Registration” you will find out how to register your personal copy when you buy it.

If you want to remove VIMOS from your PC, refer to section “2.6. Uninstall VIMOS” for instructions.

2.2. System requirements

These are the minimum system requirements:

· 166MHz Pentium processor or higher

· 32MB RAM or more

· 2-button mouse (mouse wheel is supported too)

· MS Windows 95 or higher

· DirectX 6.0 or higher

· About 12MB disk space for the full installation

· 4MB for the program files

· 7MB for the documentation

· 1MB for the demo programs

ATTENTION. The installation process may need additional disk space for temporary files. Keep in mind that additional disk space will be required to store your user programs, images and other files. Since image files can be considerably large you may need quite a lot additional disk space.

2.3. Installation procedure

This section will guide you through the steps to install VIMOS Editor and VIMOS Simulator on your PC. But before you start, take a look at the following overview of VIMOS components. It could help you to decide what to install based on your needs.

2.3.1. VIMOS Components

Here is the full list of VIMOS components available for installation:

· Programs – executables for PC and camera

· Editor – visual editor for VIMOS user-programs

· Simulator – complete VIMOS simulation on a PC

· Make logo – tools to customize the VIMOS logo on the camera

· Camera Kernel – VIMOS for use on various camera models

· Documentation – complete documentation in CHM and/or PDF.

· Examples – various examples demonstrate how you can use VIMOS to solve practical problems

NOTE: Depending on the VIMOS distribution you have, only a subset of the above components may be available for installation.

2.3.2. Installing VIMOS for the first time

ATTENTION. If you have already installed a previous version of VIMOS on your PC, please refer to the next section “2.3.3. Upgrading VIMOS” for instructions.

First, you have to locate the VIMOS installation program. Usually its name is in the form:

VIMOS-<ver>-<type>.exe

Here <ver> is the VIMOS version and <type> is the type of distribution. For example:

VIMOS-2.22-win.exe

is the installation program for VIMOS version 2.22 containing only PC components.

If you have downloaded it from the Internet, you already know where it is on your hard drive.

If you have a CD distribution, you should look in its root folder.

ATTENTION. Make sure you have closed all running applications before you start the installation process. This is necessary to guarantee proper installation of shared system components.

Now you can launch the installation program. The installation process is very simple. It takes just a few easy steps to set up VIMOS on your PC.

2.3.2.1. Welcome to VIMOS setup

In the welcome screen just press Next.

2.3.2.2. Read the license agreement

First you will see the License Agreement window. Please, read its contents. If you accept this license, press I Agree button to continue. If you do not agree or have just changed your mind, press Cancel button to quit installation.

2.3.2.3. Choose VIMOS components to install

Next you will see the Installation Options window. It shows you a list of available VIMOS components. Check the components you wish to install and uncheck the rest. See section “2.3.1. VIMOS Components” for description of all VIMOS components.

TIPS & TRICKS. Hold your mouse over a component to see its Description.

Each item in type of install combo box selects a predefined subset of components for installation.

The Space required field shows the required disk space for your current selection.

When you are ready press Next to continue.

To go back to the License Agreement window press Back button.

If you wish to abort the installation press Cancel.

2.3.2.4. Choose install destination

The next window is Installation Folder. Here you can choose the folder where VIMOS will be installed or you can leave the default destination.

You can press Browse button and choose a folder from the directory tree or you can type the path directly in the text box.

ATTENTION. DO NOT choose a folder where a previous VIMOS version or another program is installed. It is best to specify a new folder. It will be created automatically.

When you are ready press Next button to continue.

Press Back button to return to Installation Options window or Cancel to abort the installation.

2.3.2.5. Choose Start menu group

In Start Menu Folder window you can choose the location of VIMOS program group in the Windows’ Start > Programs menu.

Nothing on your system has been changed yet.

When you are ready press Install to start actual installation.

Press Back button to return to Installation Folder window or Cancel to abort the installation.

2.3.2.6. Wait for installation to complete

A progress bar will inform you of the current state of the installation. When it reaches 100% the installation is complete.

If you want to see in detail what has been done during installation, press Show details button.

Press Next button to continue.

2.3.2.7. Finish installation

VIMOS installation is now complete. Press Close to quit the program.

2.3.3. Upgrading VIMOS

Each VIMOS version is a separate program. You can safely use several different versions of VIMOS on your PC. If you don’t need a specific version you can always uninstall it. You must install different versions in separate folders.

ATTENTION. DO NOT install the new version over an existing one. You should install it in a new folder.

You should not run programs from different VIMOS versions at the same time.

To install another version, follow the instructions in the previous section “2.3.2. Installing VIMOS for the first time”.

2.4. Getting started

Now you are ready to use VIMOS to solve your machine vision problems.

You can access all installed VIMOS components from Start > Programs > VIMOS menu (if you have left the default value in Start Menu Folder window during installation). From here you can launch applications from the VIMOS Software Family, read documentation and open examples.

Also VIMOS Editor is associated with .aef files, so when you double-click one of them it will open in the Editor.

Next we suggest you to read “Getting started” manual. It will help you to find your way quickly in this new system. You will see how VIMOS can be applied in practical tasks. You can also refer to the rest of the documentation for detailed information in specific areas. Section “4.1. Documentation structure” can help you find the manual you need.

ATTENTION. We strongly advise you not to store your files (user-programs, images, etc.) under the VIMOS installation folder (the one you have chosen in Installation Folder window during install). The folder My Documents is a common choice for user files.

2.5. Registration

This software is usually distributed for free as a 30-days trial version. After the trial period has expired, you will not be able to use it. When you buy the software this limit is removed.

NOTE: VIMOS Editor and Simulator require separate registration. You cannot use the same key to register both programs.

The registration procedure is the same for Editor and Simulator. Here it is:

1. Open Editor or Simulator. Choose Help > Register menu option. Copy the Product ID from the registration dialog box. Send this ID together with details about your payment to the software supplier.

2. The software supplier will send you back the registration key. Enter it in the Registration key filed within the registration dialog. Press Register. The program will inform you of the result of the registration.

2.6. Uninstall VIMOS

There are two easy ways to remove VIMOS from your PC:

· Choose Start > Programs > VIMOS > Uninstall VIMOS menu.

· From Control Panel open Add/Remove Programs. Then find VIMOS in the list of installed programs. Press Remove to uninstall VIMOS. All installed VIMOS versions will be listed separately.

Then follow the instructions. The uninstall process is automatic. You just have to confirm that you want to remove VIMOS.

The uninstall program will ask you for permission to delete the entire VIMOS folder.

ATTENTION. This will delete all files in the specified folder and all its subfolders. If you have saved any files you want to keep under this folder (e.g. some user-programs of yours), press No. Later, when uninstall is complete, you can go to that folder and delete manually redundant files.


3. Installing VIMOS on camera

VIMOS runs on intelligent cameras manufactured by Vision Components, Germany. The cameras are based on DSP processors (CPUs) from Analog Devices (ADSP cameras) and Texas Instruments (TI cameras). All cameras have standard flash memory, which replaces the hard disk of the PC with some peculiarities. The flash memory is a non-volatile memory, which means memory data is preserved when camera power is switched off.

VIMOS can be installed on several camera models, described in the next sections.

3.1. Installing VIMOS on TI camera (VC20xx, VC40xx)

Usually the TI-based cameras have video-output hardware – they display live picture, received by the camera sensor, on a monitor connected to the camera. These are the most powerful cameras and should be used when system performance is critical. The TI cameras are the recommended choice for new VIMOS projects, which require camera with video-output. TI cameras have optional multimedia card MMC (secondary flash memory) and VIMOS system files can be loaded into standard flash and/or into MMC.

Refer to the manual "Using VIMOS on TI camera" to learn how to install VIMOS on TI camera. The manual contains also specific information about VIMOS usage on TI camera.

3.2. Installing VIMOS on sensor camera (VCM40, VCM50)

The sensor cameras are based on ADSP CPUs. These cameras have no video-output hardware. They have lower performance compared to TI cameras and are much cheaper. Sensor cameras provide the cheapest platform for the VIMOS system.

Refer to the manual "Using VIMOS on sensor camera" to learn how to install VIMOS on sensor camera. The manual contains also specific information about VIMOS usage on sensor camera.

3.3. Installing VIMOS on ADSP camera (VC38, VC61)

These are cameras with video-output, based on ADSP CPUs. Old-generation cameras currently replaced by the TI cameras. We recommend using TI cameras in new VIMOS projects, which require camera with video-output.

Refer to the manual "Using VIMOS on ADSP camera" to learn how to install VIMOS on ADSP camera. The manual contains also specific information about VIMOS usage on ADSP camera.

3.4. Installing VIMOS on FA45 camera

FA45 is special TI-based camera without video-output hardware – it could be called a TI-based sensor. It combines the power of the TI cameras with the cheaper VIMOS solutions on sensor cameras. Refer to the manual "Using VIMOS on FA45 camera" to learn how to install VIMOS on FA45. The manual contains also specific information about VIMOS usage on FA45 camera.


4. Resources

4.1. Documentation structure

The VIMOS documentation consists of the following independent manuals, which cover different aspects of the VIMOS system:

& Installation guide

Includes information about installing VIMOS on a PC system as well as on a camera.

& Using VIMOS on TI camera

Describes installation and usage of VIMOS on TI camera.

& Using VIMOS on sensor camera

Describes installation and usage of VIMOS on sensor camera.

& Using VIMOS on ADSP camera

Describes installation and usage of VIMOS on ADSP camera.

& Using VIMOS on FA45 camera

Describes installation and usage of VIMOS on FA45 camera (TI-based sensor).

& Getting started

The basic information you should know before starting to experiment with VIMOS.

& Using the VIMOS kernel

How to work with VIMOS kernel on camera and PC simulator.

& Using the Editor

How to use Editor to develop and test user-programs.

& Using the Simulator

How to use the Simulator to develop and test user-programs and to communicate with the camera.

& VIMOS programming

Detailed explanation about VIMOS kernel and how to develop user-programs.

& Tools description

Descriptions of all the tools available in VIMOS together with some useful tips & tricks.

& Examples

Sample programs to help you get familiar with VIMOS.

4.2. Where to find documentation

You should have received all manuals in an easy to read electronic form together with your copy of VIMOS. If some of the manuals are missing you can download them for free from our web-site http://www.vimos.com. All manuals are also available in printing upon request.

4.3. On-line resources

All manuals, as well as the demo version of the system are available on the official VIMOS web-site http://www.vimos.com.

You can also contact us on any issue related to VIMOS on this e-mail vimos@atto-systems.com.